%define	api		1.0
%define	major		0
%define	libname		%mklibname goa %{api} %{major}
%define backendmajor	2
%define libbackend	%mklibname goa-backend %{api} %{backendmajor}
%define	gi_libname	%mklibname goa-gir %{api}
%define	develname	%mklibname goa -d

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-online-accounts
Version:	3.50.2
Release:	%mkrel 1
Summary:	Provide online accounts information
Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		https://developer-old.gnome.org/goa/stable/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gcr-4)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(krb5) < 7.3.0
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(rest-1.0)
BuildRequires:	pkgconfig(telepathy-glib)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	gtk-doc
BuildRequires:	gettext
Recommends:	gvfs-goa

%description
gnome-online-accounts provides interfaces so applications and
libraries in GNOME can access the user's online accounts.

%package -n %{libname}
Summary:	Runtime libraries for %{name}
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
Runtime libraries for %{name}.

%package -n %{libbackend}
Summary:        Runtime libraries for %{name}
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %{libbackend}
Runtime libraries for %{name}.

%package -n %{gi_libname}
Summary:	GObject introspection interface for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_libname}
GObject introspection interface for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libbackend} = %{version}-%{release}
Requires:	%{gi_libname} = %{version}-%{release}
Obsoletes:	%{_lib}goa1.0-devel < 3.9.90

%description -n %{develname}
The gnome-online-accounts-devel package contains libraries and header
files for developing applications that use gnome-online-accounts.

%prep
%setup -q

%build
%meson \
  -Dgtk_doc=true \
  -Dman=true
%meson_build

%install
%meson_install

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc NEWS
%{_libexecdir}/goa-daemon
%{_libexecdir}/goa-identity-service
%{_libexecdir}/goa-oauth2-handler
%{_datadir}/dbus-1/services/org.gnome.OnlineAccounts.service
%{_datadir}/dbus-1/services/org.gnome.Identity.service
%{_iconsdir}/hicolor/*/apps/*
%dir %{_libdir}/goa-%{api}/
%{_datadir}/glib-2.0/schemas/org.gnome.online-accounts.gschema.xml
%{_datadir}/applications/org.gnome.OnlineAccounts.OAuth2.desktop
%{_mandir}/man8/goa-daemon.8*

%files -n %{libname}
%{_libdir}/libgoa-%{api}.so.%{major}{,.*}

%files -n %{libbackend}
%{_libdir}/libgoa-backend-%{api}.so.%{backendmajor}{,.*}

%files -n %{gi_libname}
%{_libdir}/girepository-1.0/Goa-%{api}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/goa/
%{_includedir}/goa-%{api}/
%{_libdir}/goa-%{api}/include
%{_libdir}/libgoa-%{api}.so
%{_libdir}/libgoa-backend-%{api}.so
%{_datadir}/gir-1.0/Goa-%{api}.gir
%{_libdir}/pkgconfig/goa-%{api}.pc
%{_libdir}/pkgconfig/goa-backend-%{api}.pc
%{_datadir}/vala/vapi/goa-%{api}.*


%changelog
* Sun Jun 02 2024 daviddavid <daviddavid> 3.50.2-1.mga10
+ Revision: 2069194
- new version 3.50.2

* Mon Mar 18 2024 daviddavid <daviddavid> 3.50.0-1.mga10
+ Revision: 2050561
- new version 3.50.0

* Tue Jan 30 2024 daviddavid <daviddavid> 3.49.0-1.mga10
+ Revision: 2036337
- new version 3.49.0

* Sat Apr 22 2023 tmb <tmb> 3.48.0-1.mga9
+ Revision: 1953959
- update to 3.48.0

* Sun Sep 18 2022 wally <wally> 3.46.0-1.mga9
+ Revision: 1889973
- new version 3.46.0
- switch to libsoup-3.0, rest-1.0 and webkit2gtk-4.1

* Wed Mar 30 2022 ovitters <ovitters> 3.44.0-1.mga9
+ Revision: 1835043
- new version 3.44.0

* Tue Mar 15 2022 tv <tv> 3.43.1-1.mga9
+ Revision: 1793323
- Update to 3.43.1

* Mon Oct 18 2021 ovitters <ovitters> 3.40.1-1.mga9
+ Revision: 1752066
- new version 3.40.1

* Wed Apr 21 2021 ovitters <ovitters> 3.40.0-1.mga9
+ Revision: 1717848
- new version 3.40.0

* Thu Mar 25 2021 ovitters <ovitters> 3.39.92-1.mga9
+ Revision: 1709902
- new version 3.39.92

* Tue Mar 16 2021 ovitters <ovitters> 3.38.1-1.mga9
+ Revision: 1703699
- new version 3.38.1

* Fri Oct 09 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1633005
- new version 3.38.0

* Mon Aug 10 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1613038
- new version 3.37.90

* Wed Apr 22 2020 daviddavid <daviddavid> 3.36.0-2.mga8
+ Revision: 1570687
- libaccounts-glib is no more used

* Tue Mar 10 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1555300
- new version 3.36.0

* Mon Feb 17 2020 tv <tv> 3.35.90-1.mga8
+ Revision: 1537131
- 3.35.90

* Sun Feb 16 2020 umeabot <umeabot> 3.34.1-2.mga8
+ Revision: 1536322
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 15 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1453931
- new version 3.34.1

* Wed Sep 11 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439680
- new version 3.34.0

* Tue Sep 03 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1436707
- new version 3.33.92

* Fri Aug 30 2019 daviddavid <daviddavid> 3.33.91-1.mga8
+ Revision: 1435304
- new version 3.33.91

* Sat May 25 2019 wally <wally> 3.32.0-2.mga7
+ Revision: 1399091
- recommend gvfs-goa

* Tue Mar 26 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1380225
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.90-1.mga7
+ Revision: 1372464
- new version 3.31.90

* Mon Feb 11 2019 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1365279
- new version 3.30.2

* Thu Jan 17 2019 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1357583
- new version 3.30.1

* Sun Sep 02 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256176
- new version 3.30.0
- new version 3.29.91
- new version 3.29.4

* Wed May 09 2018 ovitters <ovitters> 3.29.1-1.mga7
+ Revision: 1227950
- new version 3.29.1

* Thu Mar 15 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1209607
- new version 3.28.0

* Mon Mar 05 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1206798
- new version 3.27.92

* Wed Feb 21 2018 ovitters <ovitters> 3.27.3-1.mga7
+ Revision: 1204034
- new version 3.27.3

* Mon Dec 25 2017 wally <wally> 3.26.2-2.mga7
+ Revision: 1184645
- enable vala build

* Thu Dec 14 2017 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1182573
- new version 3.26.2

* Tue Oct 03 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1167959
- new version 3.26.1

* Wed Sep 13 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1153460
- new version 3.26.0

* Tue Sep 05 2017 ovitters <ovitters> 3.25.92-1.mga7
+ Revision: 1151517
- new version 3.25.92

* Wed Aug 23 2017 ovitters <ovitters> 3.25.90-1.mga7
+ Revision: 1143711
- new version 3.25.90

* Mon Aug 07 2017 ovitters <ovitters> 3.24.2-1.mga7
+ Revision: 1138685
- new version 3.24.2

* Mon May 29 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1105487
- new version 3.24.1

* Sun Apr 23 2017 wally <wally> 3.24.0-3.mga6
+ Revision: 1097136
- another rebuild for ARM

* Fri Apr 21 2017 wally <wally> 3.24.0-2.mga6
+ Revision: 1097002
- rebuild for ARM

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1093972
- new version 3.24.0

* Fri Mar 10 2017 ovitters <ovitters> 3.22.5-1.mga6
+ Revision: 1091565
- new version 3.22.5

* Wed Dec 14 2016 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1074980
- new version 3.22.3

* Mon Nov 07 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065709
- new version 3.22.2

* Tue Oct 11 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060128
- new version 3.22.1

* Mon Sep 26 2016 tv <tv> 3.22.0-2.mga6
+ Revision: 1056847
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Tue Sep 20 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054590
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.91-1.mga6
+ Revision: 1053813
- new version 3.21.91

* Sat Jul 30 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1043993
- new version 3.20.3

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000492
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993611
- new version 3.20.0

* Wed Mar 16 2016 ovitters <ovitters> 3.19.92.1-1.mga6
+ Revision: 992104
- new version 3.19.92.1
- new version 3.19.92

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 962288
- new version 3.19.90

* Wed Jan 20 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 926095
- new version 3.19.4

* Tue Dec 15 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910668
- new version 3.19.3

* Tue Nov 24 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905768
- new version 3.19.2

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905158
- new version 3.19.1

* Wed Nov 11 2015 ovitters <ovitters> 3.18.2.1-1.mga6
+ Revision: 902551
- new version 3.18.2.1
- new version 3.18.2

* Wed Oct 14 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 891512
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882740
- new release

* Wed Sep 16 2015 ovitters <ovitters> 3.17.92.1-1.mga6
+ Revision: 879781
- new version 3.17.92.1

* Tue Sep 15 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879628
- new version 3.17.92

* Wed Sep 09 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 874685
- new version 3.17.91

* Mon Jun 29 2015 wally <wally> 3.17.2-2.mga6
+ Revision: 847397
- add requires for gir pkg to devel pkg

* Mon Jun 22 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 839925
- new version 3.17.2

* Sat Jun 20 2015 ovitters <ovitters> 3.14.4-1.mga6
+ Revision: 836295
- new version 3.14.4

* Sat Jan 17 2015 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 811187
- new version 3.14.3

* Wed Nov 12 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796562
- new version 3.14.2

* Thu Oct 16 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 765531
- new version 3.14.1
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 724590
- new version 3.14.0

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 690902
- new version 3.13.92
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 671541
- new version 3.13.91

* Mon Aug 18 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665015
- new version 3.13.90

* Tue Jun 24 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639492
- new version 3.13.3

* Wed May 28 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 627235
- new version 3.13.2

* Tue May 13 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622486
- new version 3.12.2

* Tue Apr 15 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614864
- new version 3.12.1

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608278
- new version 3.12.0

* Tue Mar 18 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604960
- new version 3.11.92

* Wed Mar 05 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599985
- new version 3.11.91

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594341
- new version 3.11.90

* Thu Feb 06 2014 dams <dams> 3.11.5-1.mga5
+ Revision: 584040
- new version 3.11.5

* Sat Jan 18 2014 gw666 <gw666> 3.10.2-2.mga4
+ Revision: 566860
- disable twitter to prevent crashes (bgo #721061)

* Tue Nov 12 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550846
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 545019
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 500642
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485444
- new version 3.10.0

* Wed Sep 18 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 481168
- new version 3.9.92

* Tue Sep 03 2013 fwang <fwang> 3.9.91-1.mga4
+ Revision: 474580
- update file list
+ ovitters <ovitters>
- new version 3.9.91

* Fri Aug 23 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 469938
- simplify package name by dropping api from devel packages
- update file list
- split out backend lib
- add more br
- only glib is required
- add more br
+ ovitters <ovitters>
- new version 3.9.90

* Tue Jul 30 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 461127
- new version 3.9.5

* Tue Jul 30 2013 fwang <fwang> 3.9.4-2.mga4
+ Revision: 461115
- move include file into its original location, as the movements affect downstream applications

* Fri Jul 26 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458234
- new version 3.9.4
- update BR (krb5-devel and (gcr-3)
- enable exchange, facebook, flickr, google, imap-smtp, kerberos, owncloud, windows-live, twitter, yahoo

* Sat May 25 2013 ovitters <ovitters> 3.8.2-2.mga4
+ Revision: 427621
- fix file location

* Sat May 25 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 427574
- fix upstream file location
- drop merged patch
- new version 3.8.2

* Mon Mar 04 2013 wally <wally> 3.6.3-1.mga3
+ Revision: 401406
- new version 3.6.3
  * fixes CVE-2013-0240
  * fixes CVE-2013-1799
- add str fmt patch

* Fri Feb 15 2013 luigiwalser <luigiwalser> 3.6.2-5.mga3
+ Revision: 398602
- add upstream patch to fix CVE-2013-0240

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-4.mga3
+ Revision: 352180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 10 2012 colin <colin> 3.6.2-3.mga3
+ Revision: 329403
- Remove weird tab copy+paste error

* Mon Dec 10 2012 ovitters <ovitters> 3.6.2-2.mga3
+ Revision: 329371
- make lib require main package (mga#5756)

* Thu Nov 15 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317996
- new version 3.6.2

* Fri Oct 19 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 308104
- update file list
+ ovitters <ovitters>
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297013
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295587
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288022
- new version 3.5.91

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282778
- new version 3.5.90

* Tue Aug 07 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279720
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271362
- br libsecret-1
- new version 3.5.4

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 265992
- drop link patch
- new version 3.5.3

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235673
- new version 3.4.2

* Tue Apr 17 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231205
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226735
- new version 3.4.0

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92.1-1.mga2
+ Revision: 225191
- new version 3.3.92.1
- new version 3.3.92

* Mon Dec 19 2011 wally <wally> 3.3.0-1.mga2
+ Revision: 184532
- new version 3.3.0

* Mon Oct 17 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155935
- new version 3.2.1

* Wed Sep 28 2011 ovitters <ovitters> 3.2.0.1-3.mga2
+ Revision: 149891
- new version 3.2.0.1
- drop launch goa prefs patch (merged upstream)

* Wed Sep 28 2011 ovitters <ovitters> 3.2.0-3.mga2
+ Revision: 149744
- add upstream patch to fix a crasher

* Tue Sep 27 2011 fwang <fwang> 3.2.0-2.mga2
+ Revision: 149075
- rebuild for new glib

* Mon Sep 26 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149020
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 145886
- new version 3.1.91

* Tue Aug 30 2011 dmorgan <dmorgan> 3.1.90-1.mga2
+ Revision: 136790
- Fix sha1.lst file
+ ovitters <ovitters>
- Update to 3.1.90
+ ahmad <ahmad>
- Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Thu Jul 14 2011 cjw <cjw> 3.1.1-2.mga2
+ Revision: 124256
- fix group

* Tue Jul 05 2011 cjw <cjw> 3.1.1-1.mga2
+ Revision: 118968
- imported package gnome-online-accounts


* Tue Jun 14 2011 Bastien Nocera <bnocera@redhat.com> 3.1.0-3
- Add more necessary patches

* Tue Jun 14 2011 Bastien Nocera <bnocera@redhat.com> 3.1.0-2
- Update with review comments from Peter Robinson

* Mon Jun 13 2011 Bastien Nocera <bnocera@redhat.com> 3.1.0-1
- First version

